## ICalDurationType ICalDurationType |

## Functions

gint | i_cal_duration_type_is_neg ()
void | i_cal_duration_type_set_is_neg ()
guint | i_cal_duration_type_get_days ()
void | i_cal_duration_type_set_days ()
guint | i_cal_duration_type_get_weeks ()
void | i_cal_duration_type_set_weeks ()
guint | i_cal_duration_type_get_hours ()
void | i_cal_duration_type_set_hours ()
guint | i_cal_duration_type_get_minutes ()
void | i_cal_duration_type_set_minutes ()
guint | i_cal_duration_type_get_seconds ()
void | i_cal_duration_type_set_seconds ()
ICalDurationType * | i_cal_duration_type_from_int ()
ICalDurationType * | i_cal_duration_type_from_string ()
gint | i_cal_duration_type_as_int ()
gchar * | i_cal_duration_type_as_ical_string_r ()
ICalDurationType * | i_cal_duration_type_null_duration ()
ICalDurationType * | i_cal_duration_type_bad_duration ()
gint | i_cal_duration_type_is_null_duration ()
gint | i_cal_duration_type_is_bad_duration ()

## Types and Values

#define | I_CAL_DURATION_TYPE_TYPE
| ICalDurationType
struct | ICalDurationTypeClass

## Description

## Functions

### i_cal_duration_type_is_neg ()

    gint
    i_cal_duration_type_is_neg (ICalDurationType *duration_type);

Get the is_neg of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be queried. |

#### Returns

The is_neg.

Since: 1.0

### i_cal_duration_type_set_is_neg ()

    void
    i_cal_duration_type_set_is_neg (ICalDurationType *duration_type,
                                    gint is_neg);

Set the is_neg of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be set. |
is_neg | The is_neg. |

Since: 1.0

### i_cal_duration_type_get_days ()

    guint
    i_cal_duration_type_get_days (ICalDurationType *duration_type);

Get the days of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be queried. |

#### Returns

The days.

Since: 1.0

### i_cal_duration_type_set_days ()

    void
    i_cal_duration_type_set_days (ICalDurationType *duration_type,
                                  guint days);

Set the days of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be set. |
days | The days. |

Since: 1.0

### i_cal_duration_type_get_weeks ()

    guint
    i_cal_duration_type_get_weeks (ICalDurationType *duration_type);

Get the weeks of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be queried. |

#### Returns

The weeks.

Since: 1.0

### i_cal_duration_type_set_weeks ()

    void
    i_cal_duration_type_set_weeks (ICalDurationType *duration_type,
                                   guint weeks);

Set the weeks of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be set. |
weeks | The weeks. |

Since: 1.0

### i_cal_duration_type_get_hours ()

    guint
    i_cal_duration_type_get_hours (ICalDurationType *duration_type);

Get the hours of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be queried. |

#### Returns

The hours.

Since: 1.0

### i_cal_duration_type_set_hours ()

    void
    i_cal_duration_type_set_hours (ICalDurationType *duration_type,
                                   guint hours);

Set the hours of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be set. |
hours | The hours. |

Since: 1.0

### i_cal_duration_type_get_minutes ()

    guint
    i_cal_duration_type_get_minutes (ICalDurationType *duration_type);

Get the minutes of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be queried. |

#### Returns

The minutes.

Since: 1.0

### i_cal_duration_type_set_minutes ()

    void
    i_cal_duration_type_set_minutes (ICalDurationType *duration_type,
                                     guint minutes);

Set the minutes of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be set. |
minutes | The minutes. |

Since: 1.0

### i_cal_duration_type_get_seconds ()

    guint
    i_cal_duration_type_get_seconds (ICalDurationType *duration_type);

Get the seconds of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be queried. |

#### Returns

The seconds.

Since: 1.0

### i_cal_duration_type_set_seconds ()

    void
    i_cal_duration_type_set_seconds (ICalDurationType *duration_type,
                                     guint seconds);

Set the seconds of ICalDurationType.

#### Parameters

duration_type | The ICalDurationType to be set. |
seconds | The seconds. |

Since: 1.0

### i_cal_duration_type_from_int ()

    ICalDurationType *
    i_cal_duration_type_from_int (gint t);

Create a ICalDurationType from the duration in second

#### Parameters

t | the duration in second |

#### Returns

The newly created ICalDurationType.

[transfer full]

Since: 1.0

### i_cal_duration_type_from_string ()

    ICalDurationType *
    i_cal_duration_type_from_string (const gchar *str);

Create a ICalDurationType from the duration in string

#### Parameters

str | The string representation of the duration |

#### Returns

The newly created ICalDurationType.

[transfer full]

Since: 1.0

### i_cal_duration_type_as_int ()

    gint
    i_cal_duration_type_as_int (ICalDurationType *duration);

Convert the ICalDurationType to the representation in second

#### Parameters

duration | The ICalDurationType to be converted |

#### Returns

The duration in second

Since: 1.0

### i_cal_duration_type_as_ical_string_r ()

    gchar *
    i_cal_duration_type_as_ical_string_r (ICalDurationType *duration);

Convert the ICalDurationType to the representation in string

#### Parameters

duration | The ICalDurationType to be converted |

#### Returns

The duration in string.

[transfer full]

Since: 1.0

### i_cal_duration_type_null_duration ()

    ICalDurationType *
    i_cal_duration_type_null_duration (void);

Create a ICalDurationType with all the fields to be zero

#### Returns

The newly created ICalDurationType.

[transfer full]

Since: 1.0

### i_cal_duration_type_bad_duration ()

    ICalDurationType *
    i_cal_duration_type_bad_duration (void);

Create a bad ICalDurationType

#### Returns

The newly created ICalDurationType.

[transfer full]

Since: 1.0

### i_cal_duration_type_is_null_duration ()

    gint
    i_cal_duration_type_is_null_duration (ICalDurationType *duration);

Check whether the ICalDurationType is the null_duration

#### Parameters

duration | The ICalDurationType to be checked |

#### Returns

1 if `duration` is the null_duration, 0 if not.

Since: 1.0

### i_cal_duration_type_is_bad_duration ()

    gint
    i_cal_duration_type_is_bad_duration (ICalDurationType *duration);

Check whether the ICalDurationType is the bad_duration

#### Parameters

duration | The ICalDurationType to be checked |

#### Returns

1 if `duration` is the bad_duration, 0 if not.

Since: 1.0

## Types and Values

### I_CAL_DURATION_TYPE_TYPE

    #define             I_CAL_DURATION_TYPE_TYPE

### ICalDurationType

    typedef struct {
    } ICalDurationType;

This is the ICalDurationType instance.

### struct ICalDurationTypeClass

    struct ICalDurationTypeClass {
    };

This is the ICalDurationType class.